Bug 30058 - Add a Koha::Patrons method to filter by permissions
Summary: Add a Koha::Patrons method to filter by permissions
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks: 30055
  Show dependency treegraph
 
Reported: 2022-02-09 12:48 UTC by Jonathan Druart
Modified: 2022-03-25 13:36 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30058: Add Koha::Patrons->filter_by_have_subpermission (4.89 KB, patch)
2022-02-09 13:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30058: Add Koha::Patrons->filter_by_have_subpermission (4.93 KB, patch)
2022-02-16 13:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30058: Add Koha::Patrons->filter_by_have_subpermission (4.99 KB, patch)
2022-03-14 18:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-02-09 12:48:01 UTC

    
Comment 1 Jonathan Druart 2022-02-09 13:44:40 UTC
Created attachment 130361 [details] [review]
Bug 30058: Add Koha::Patrons->filter_by_have_subpermission

This method will allow to filter a patron set by a given subpermission.
It will be useful on bug 30055 where we want to display only patron with
suggestion or acquisition subpermission.
Note that it could be extended to allow several subpermissions, but we
don't need it so far.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
must return green
Comment 2 Owen Leonard 2022-02-16 13:30:09 UTC
Created attachment 130666 [details] [review]
Bug 30058: Add Koha::Patrons->filter_by_have_subpermission

This method will allow to filter a patron set by a given subpermission.
It will be useful on bug 30055 where we want to display only patron
with suggestion or acquisition subpermission.
Note that it could be extended to allow several subpermissions, but we
don't need it so far.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
must return green

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Tomás Cohen Arazi 2022-03-14 18:09:02 UTC
Created attachment 131671 [details] [review]
Bug 30058: Add Koha::Patrons->filter_by_have_subpermission

This method will allow to filter a patron set by a given subpermission.
It will be useful on bug 30055 where we want to display only patron
with suggestion or acquisition subpermission.
Note that it could be extended to allow several subpermissions, but we
don't need it so far.

Test plan:
  prove t/db_dependent/Koha/Patrons.t
must return green

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Fridolin Somers 2022-03-17 21:23:47 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄